var inicio=0;

function aumentar(num){

inicio = num + 10;
Cargar();
}

function disminuir(num){

  if(num>0 ){
    inicio = num - 10;
    Cargar();
  }

}

function Cargar(){
document.location.href="ingresar_areas.php?pos="+inicio;
}


//----------------------------------------------------
$(document).ready(function(){

    $("#bton_insertar").click(function(){
         var parametros = {"accion":'mostrar_tabla'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_area.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);}})});});
//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}

function Limpiar(){

    document.getElementById('codigo').value="";
    document.getElementById('descripcion').value="";
    document.getElementById('abreviar').value="";
    document.getElementById('i_h').value="";
    //document.getElementById('promediar').value="";
    document.getElementById('orden').value=""; 
  
}

//--------------------------------------------

function Grabar(){

var p = parametro( 'pos' );

if (p=="")
    p=0;

var v1=get('codigo');
var v2=get('descripcion');
var v3=get('abreviar');
var v4=get('i_h');
var v5=get('promediar');
var orden=get('orden');

if (v1=="") {
    alert("Digite C&oacute;digo");
    return 0;
}
if (v2=="") {
    alert("Digite Descripci&oacute;n");
    return 0;
}

if (v3=="") {
    alert("Digite Nombre Corto");
    return 0;
}
if (v4=="") {
    alert("Digite Intensidad Horaria");
    return 0;
}

if (orden=="") {
    alert("Digite el Orden del Area");
    return 0;
}


var parametros = {"accion":'grabar_area',
                          "codigo" :v1,
                          "descripcion" :v2,
                          "abreviar" :v3,
                          "i_h" :v4,
                          "promediar" :v5,
                          "orden" :orden
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_area.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        Limpiar();
                        document.location.href="ingresar_areas.php?pos="+p;
                }
        });


}

//------------------------------------

function Actualizar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('codigo');
var v2=get('descripcion');
var v3=get('abreviar');
var v4=get('i_h');
var v5=get('promediar');
var v6=get('orden');

//alert(v1+ " - "+v2+ " - "+v3+ " - "+v4+ " - "+v5);

if (v2=="") {
    alert("Digite Descripci&oacute;n");
    return 0;
}

if (v3=="") {
    alert("Digite Nombre Corto");
    return 0;
}
if (v4=="") {
    alert("Digite Intensidad Horaria");
    return 0;
}

if (v6=="") {
    alert("Digite el Orden del Area");
    return 0;
}

var parametros = {"accion":'actualizar_area',
                          "codigo" :v1,
                          "descripcion" :v2,
                          "abreviar" :v3,
                          "i_h" :v4,
                          "promediar" :v5,
                          "orden" :v6
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_area.php",
                type:  'post',
                success:function (response){                       
                        document.location.href="ingresar_areas.php?pos="+p;
                        alert(response);
                }
        });

}

//------------------------------------------
function Eliminar(codigo,inicio,total){

    if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_area',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_area.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_areas.php?pos="+inicio;
                      
                }
        });
}

//------------------------------------------
function Editar(codigo,inicio){

    var parametros = {"accion":'editar_area',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_area.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);
   
                }
        });
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

